Subject: Re: How can I do an automatic stash when doing a checkout?

From: Bruce Stephens brs <[email-masked]>
Date: Sun, 18 Dec 2011 15:37:46 +0000

DeMarcus <[email-masked]> writes:

[...]

> It feels strange doing a commit of partial work. Some of the files may
> not even be supposed to be checked in.

Well, maybe forget about files that you don't expect to keep, but
committing partial work is fine.  It's only in your local checkout,
after all; once you've got something worth sharing you can rearrange the
commits so they make sense.

[...]